INCLUDES=@AKAXISO_INCLUDES@ -I${top_srcdir}
LDFLAGS= --no-install -L${top_srcdir}/akaxiso -L${top_srcdir}/yggdrasil -lygg -lakaxiso @AKAXISO_LIBS@
AKAXISOLIB=${top_srcdir}/akaxiso/libakaxiso.la

noinst_PROGRAMS=project projectmap basket all_test model_array parser

project_SOURCES=project.cpp project.h
project_DEPENDENCIES=${AKAXISOLIB}

projectmap_SOURCES=projectmap.cpp projectmap.h
projectmap_DEPENDENCIES=${AKAXISOLIB}

basket_SOURCES=basket.cpp basket.h
basket_DEPENDENCIES=${AKAXISOLIB}

all_test_SOURCES=all_test.cpp all_test.h
all_test_DEPENDENCIES=${AKAXISOLIB}

model_array_SOURCES=model_array.cpp model_array.h
model_array_DEPENDENCIES=${AKAXISOLIB}

parser_SOURCES=parser.cpp project.h projectmap.h basket.h all_test.h model_array.h
parser_DEPENDENCIES=${AKAXISOLIB}

test: all
	./test.sh

